Summary: emacspeak -- The Complete Audio Desktop
Name: emacspeak
Version: 28.0
Release: 3%{?dist}
# main lisp files are GPL2+
# lisp/atom-blogger and lisp/g-client are BSD
License: GPLv2+ and BSD
Group: Applications/Editors
Source: http://emacspeak.googlecode.com/files/emacspeak-%{version}.tar.bz2
Source10: filter-deps.sh
%define __perl_requires %{SOURCE10}
URL: http://emacspeak.sourceforge.net/
Requires(post): info
Requires(preun): info
BuildArchitectures: noarch
BuildRequires: emacs findutils perl texinfo
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: emacs, tclx
Patch0: emacspeak-15.0-fixpref.patch
Patch1: emacspeak-28.0-no-httpd.patch
Patch2: emacspeak-28.0-tmpfile.patch

%description 
Emacspeak is a speech interface that allows visually impaired users to
interact independently and efficiently with the computer. Emacspeak has
dramatically changed how the author and hundreds of blind and visually 
impaired users around the world interact with the personal computer and
the Internet. A rich suite of task-oriented speech-enabled tools provides
efficient speech-enabled access to the evolving semantic WWW.
When combined with Linux running on low-cost PC hardware,
Emacspeak/Linux provides a reliable, stable speech-friendly solution that
opens up the Internet to visually impaired users around the world.

%prep
%setup -q
%patch0 -p1 -b .0-infodir
%patch1 -p1 -b .1-httpd
%patch2 -p1 -b .tmpfile

for i in `find . -type f -exec grep -q /usr/bin/tcl$ '{}' ';' -print` ; do
  sed -i -e "s%#!/usr/bin/tcl$%#!/usr/bin/tclsh\npackage require Tclx%" $i
done

sed -i -e "s%#!/usr/bin/python2.4$%#!/usr/bin/python%" servers/python/HTTPSpeaker.py

%build
make  config SRC=`pwd`
make

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}%{_prefix} infodir=%{buildroot}%{_infodir}
rm -f %{buildroot}%{_infodir}/*dir
sed -i -e "s|%{buildroot}||g" %{buildroot}%{_bindir}/emacspeak
 
rm %{buildroot}%{_datadir}/emacs/site-lisp/emacspeak/{.nosearch,sounds/emacspeak.mp3}
rm -r %{buildroot}%{_datadir}/emacs/site-lisp/emacspeak/{realaudio,shoutcast}

%post
/sbin/install-info %{_infodir}/emacspeak.info.gz %{_infodir}/dir --section "Accessibility" || :

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/emacspeak.info.gz %{_infodir}/dir --section "Accessibility" || :
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc servers/linux-outloud/VIAVOICE
%doc etc/NEWS* etc/FAQ etc/HELP etc/COPYRIGHT etc/tips.html etc/applications.html
%doc user-guide/*.html
%{_datadir}/emacs/site-lisp/emacspeak/
%{_bindir}/*
%{_infodir}/*

%changelog
* Fri Sep 26 2008 Jens Petersen <petersen@redhat.com> - 28.0-3
- (CVE-2008-4191) fix tmpfile vulnerability in extract-table.pl with
  emacspeak-28.0-tmpfile.patch from upstream svn (#463821)

* Fri Sep 26 2008 Jens Petersen <petersen@redhat.com> - 28.0-2
- fix broken generated deps reported by mtasaka (#463899)
- script the replacement of tcl with tclsh to fix missing dtk-soft
- replace python2.4 with python in HTTPSpeaker.py

* Thu Sep 25 2008 Jens Petersen <petersen@redhat.com> - 28.0-1
- update to 28.0 with emacspeak-28.0-no-httpd.patch
- replace emacspeak-tcl-pkgreq-tclx.patch with sed
- emacspeak-no-linux-espeak.patch no longer needed
- update emacspeak-15.0-fixpref.patch for patch fuzz

* Thu Oct  4 2007 Jens Petersen <petersen@redhat.com> - 26-3.fc8
- use requires instead of prereq for post and preun install-info

* Mon Aug 13 2007 Jens Petersen <petersen@redhat.com>
- some lisp subdirs are BSD

* Mon Jun  4 2007 Jens Petersen <petersen@redhat.com> - 26-2
- update emacspeak-tcl-pkgreq-tclx.patch for espeak script

* Mon May 21 2007 Jens Petersen <petersen@redhat.com> - 26-1
- update to 26
- add emacspeak-no-linux-espeak.patch for missing linux-espeak

* Thu Mar  1 2007 Jens Petersen <petersen@redhat.com> - 25-3
- require emacs (lxo)

* Wed Jan 24 2007 Jens Petersen <petersen@redhat.com> - 25-2
- fix emacspeak-tcl-pkgreq-tclx.patch for ssh-outloud

* Mon Jan 22 2007 Jens Petersen <petersen@redhat.com> - 25-1
- update to version 25
  - update emacspeak-tcl-pkgreq-tclx.patch
- protect install-info in %%post and %%preun (Ville Skyttä, #223685)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 23.0-2.1
- rebuild

* Wed Feb  8 2006 Jens Petersen <petersen@redhat.com> - 23.0-2
- tweak tcl scripts to run tclsh and require Tclx instead, since tclx-8.4
  no longer provides %{_bindir}/tcl

* Sat Feb  4 2006 Jens Petersen <petersen@redhat.com> - 23.0-1
- update to 23.0 release
- make package noarch
- remove .cvsignore files
- remove unnecessary playlists and file (Jef Spaleta, #177760)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar  9 2005 Jens Petersen <petersen@redhat.com> - 21.0-2
- rebuild with gcc 4

* Thu Dec  2 2004 Jens Petersen <petersen@redhat.com> - 21.0-1
- update to latest version

* Wed Oct  6 2004 Jens Petersen <petersen@redhat.com> - 17.0-7
- drop requirement on emacs for emacs-nox users
  (Lars Hupfeldt Nielsen, 134479)

* Thu Sep 30 2004 Jens Petersen <petersen@redhat.com> - 17.0-6
- buildrequire texinfo (Maxim Dzumanenko,124183)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Jens Petersen <petersen@redhat.com> 17.0-3
- bring back sbin to install path for install-info

* Thu Jan  9 2003 Jeff Johnson <jbj@redhat.com> 17.0-2
- filter unwanted perl(HTML::TableExtract) dependency.

* Mon Jan  6 2003 Jens Petersen <petersen@redhat.com> 17.0-1
- update to 17.0
- adjust source url
- quieten setup
- remove some obsolete cleanup deletions
- use _datadir, _infodir, _bindir, _prefix, and buildroot
- clean buildroot before installing, and at the end
- actually install info dir file entry on install (#74136)
- don't include texi and sgml files in docs dir
- encode spec changelog in utf-8

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Trond Eivind Glomsrød <teg@redhat.com> 16.0-1
- 16.0
- Get rid of some zero length files
- Update URL, file location

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr  1 2002 Trond Eivind Glomsrød <teg@redhat.com> 15.0-4
- Fix %%preun (#62484)

* Thu Mar 28 2002 Trond Eivind Glomsrød <teg@redhat.com> 15.0-3
- Remove traces of the buildroot from /usr/bin/emacspeak (#62198)

* Fri Mar 22 2002 Trond Eivind Glomsrød <teg@redhat.com> 15.0-2
- Remove CVS directories
- Various other cleanups

* Tue Mar  5 2002 Trond Eivind Glomsrød <teg@redhat.com>
- Add Changelog
- s/Copyright/License/
- Remove vendor/packager
- Use Buildroot
